Tuples.Raw (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Class Tuples.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.AbstractMarker.Raw
  - - org.apache.cassandra.cql3.Tuples.Raw

- All Implemented Interfaces:
    AssignmentTestable, Term.MultiColumnRaw, Term.Raw
  Enclosing class:
    Tuples

      public static class Tuples.Raw
      extends AbstractMarker.Raw
      implements Term.MultiColumnRaw

  A raw placeholder for a tuple of values for different multiple columns, each of which may have a different type. `For example, "SELECT ... WHERE (col1, col2) > ?".`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.AbstractMarker.Raw

      `bindIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Raw(int bindIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractMarker` | `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
    `AbstractMarker` | `prepare(java.lang.String keyspace, java.util.List<? extends ColumnSpecification> receivers)`

    - ### Methods inherited from class org.apache.cassandra.cql3.AbstractMarker.Raw

      `testAssignment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Constructor Detail

    - #### Raw

          public Raw(int bindIndex)

  - ### Method Detail

    - #### prepare

          public AbstractMarker prepare(java.lang.String keyspace,
                                        java.util.List<? extends ColumnSpecification> receivers)
                                 throws InvalidRequestException

      Specified by:
        `prepare` in interface `Term.MultiColumnRaw`
      Throws:
        `InvalidRequestException`

    - #### prepare

          public AbstractMarker prepare(java.lang.String keyspace,
                                        ColumnSpecification receiver)

      Description copied from interface: `Term.Raw`
      This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
      Specified by:
        `prepare` in interface `Term.Raw`
      Overrides:
        `prepare` in class `AbstractMarker.Raw`
        `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
      Returns:
        the prepared term.

Copyright © 2018 The Apache Software Foundation